#define vl_endianfun		/* define message structures */
#include "nat66.api.h"
#undef vl_endianfun

/* instantiate all the print functions we know about */
#define vl_print(handle, ...) vlib_cli_output (handle, __VA_ARGS__)
#define vl_printfun
#include "nat66.api.h"
#undef vl_printfun

static u16
setup_message_id_table (void) {
   api_main_t *am = my_api_main;
   vl_msg_api_msg_config_t c;
   u16 msg_id_base = vl_msg_api_get_msg_ids ("nat66_c2f919b5", VL_MSG_NAT66_LAST);
   vl_msg_api_add_msg_name_crc (am, "nat66_add_del_interface_f3699b83",
                                VL_API_NAT66_ADD_DEL_INTERFACE + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "nat66_add_del_interface_reply_e8d4e804",
                                VL_API_NAT66_ADD_DEL_INTERFACE_REPLY + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "nat66_interface_dump_51077d14",
                                VL_API_NAT66_INTERFACE_DUMP + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "nat66_interface_details_5d286289",
                                VL_API_NAT66_INTERFACE_DETAILS + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "nat66_add_del_static_mapping_fb64e50b",
                                VL_API_NAT66_ADD_DEL_STATIC_MAPPING + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "nat66_add_del_static_mapping_reply_e8d4e804",
                                VL_API_NAT66_ADD_DEL_STATIC_MAPPING_REPLY + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "nat66_static_mapping_dump_51077d14",
                                VL_API_NAT66_STATIC_MAPPING_DUMP + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "nat66_static_mapping_details_5c568448",
                                VL_API_NAT66_STATIC_MAPPING_DETAILS + msg_id_base);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_NAT66_ADD_DEL_INTERFACE + msg_id_base,
   .name = "nat66_add_del_interface",
   .handler = vl_api_nat66_add_del_interface_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_nat66_add_del_interface_t_endian,
   .print = vl_api_nat66_add_del_interface_t_print,
   .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_NAT66_ADD_DEL_INTERFACE_REPLY + msg_id_base,
  .name = "nat66_add_del_interface_reply",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_nat66_add_del_interface_reply_t_endian,
  .print = vl_api_nat66_add_del_interface_reply_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_NAT66_INTERFACE_DUMP + msg_id_base,
   .name = "nat66_interface_dump",
   .handler = vl_api_nat66_interface_dump_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_nat66_interface_dump_t_endian,
   .print = vl_api_nat66_interface_dump_t_print,
   .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_NAT66_INTERFACE_DETAILS + msg_id_base,
  .name = "nat66_interface_details",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_nat66_interface_details_t_endian,
  .print = vl_api_nat66_interface_details_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_NAT66_ADD_DEL_STATIC_MAPPING + msg_id_base,
   .name = "nat66_add_del_static_mapping",
   .handler = vl_api_nat66_add_del_static_mapping_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_nat66_add_del_static_mapping_t_endian,
   .print = vl_api_nat66_add_del_static_mapping_t_print,
   .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_NAT66_ADD_DEL_STATIC_MAPPING_REPLY + msg_id_base,
  .name = "nat66_add_del_static_mapping_reply",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_nat66_add_del_static_mapping_reply_t_endian,
  .print = vl_api_nat66_add_del_static_mapping_reply_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_NAT66_STATIC_MAPPING_DUMP + msg_id_base,
   .name = "nat66_static_mapping_dump",
   .handler = vl_api_nat66_static_mapping_dump_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_nat66_static_mapping_dump_t_endian,
   .print = vl_api_nat66_static_mapping_dump_t_print,
   .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_NAT66_STATIC_MAPPING_DETAILS + msg_id_base,
  .name = "nat66_static_mapping_details",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_nat66_static_mapping_details_t_endian,
  .print = vl_api_nat66_static_mapping_details_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   return msg_id_base;
}
